import react from 'react';
import {mockdata} from '../MockData/mock'


export const Section = ({type}) => {

  return (<>{type === 'javascript'?
    <div>
      {mockdata.javascriptQuiz.map((questions) => (<div>
        {Object.keys(questions).map(question => (<><p>{questions.question}</p>
        {Object.keys(questions[question]).map((opt) => (<div className="flex">
          <input type="checkbox" value={questions.question.opt} />
          <p>{opt}</p>
        </div>))}</>))}
      </div>))}
    </div> : type === 'react' ? <div>{mockdata.reactQuiz.map((questions) => (<div>
      {Object.keys(questions).map(question => (<><p>{questions.question}</p>
      {Object.keys(questions[question]).map((opt) => (<div className="flex">
        <input type="checkbox" value={questions.question.opt} />
        <p>{opt}</p>
      </div>))}</>))}
    </div>))}
    </div> : type === 'test' ? <div>
    {mockdata.testQuiz.map((questions) => (<div>
      {Object.keys(questions).map(question => (<><p>{questions.question}</p>
      {Object.keys(questions[question]).map((opt) => (<div className="flex">
        <input type="checkbox" value={questions.question[opt]} />
        <p>{opt}</p>
      </div>))}</>))}
    </div>))}
    </div> : null
  }</>)
}