import React, { Component, useState } from 'react';
import './App.css';

export const Section = ({type}) => {
  const  [startJS, setStartJS] =useState(false);
  const  [startReact, setStartReact] =useState(false);
  const  [startTest, setStartTest] =useState(false);
  return (
    <div className="App">
      <header className="App-header">
        <p>
          Welcome to Playground!
        </p>
      </header>
      <body>
          <div>
            <div onClick={()=> {setStartJS(true),setStartReact(false),setStartTest(false)}}>
              <h3>JS Quiz</h3>
              {startJS && <Section type="javascript"/>}
            </div>
            <div onClick={()=> {setStartJS(false),setStartReact(true),setStartTest(false)}}>
            <h3>React Quiz</h3>
              {startReact && <Section type="react"/>}
            </div>
            <div onClick={()=> {setStartJS(false),setStartReact(false),setStartTest(true)}}>
              <h3>Test Quiz</h3>
              {startTest && <Section type="test"/>}
            </div>
          </div>
      </body>
    </div>
  );
}

export default App;
